Commit 8175f5ce authored by Laurent Montel's avatar Laurent Montel 😁
Browse files

Move plugins in pim<version>

parent abba0e3b
Pipeline #185882 passed with stage
in 3 minutes and 24 seconds
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "5.20.41")
set(PIM_VERSION "5.20.42")
project(Akonadi-Contact VERSION ${PIM_VERSION})
......
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
kcoreaddons_add_plugin(categorieseditwidgetplugin SOURCES
categorieseditwidget.cpp categorieseditwidget.h INSTALL_NAMESPACE akonadi/contacts/plugins)
categorieseditwidget.cpp categorieseditwidget.h INSTALL_NAMESPACE pim${QT_MAJOR_VERSION}/akonadi/contacts/plugins)
target_link_libraries(categorieseditwidgetplugin
KF5::AkonadiWidgets KF5::ContactEditor KF5::Service
......
......@@ -74,7 +74,8 @@ GeneralInfoWidget::GeneralInfoWidget(QWidget *parent)
label->setObjectName(QStringLiteral("categorylabel"));
categoryWidgetLayout->addWidget(label);
const KPluginMetaData editWidgetPlugin(QStringLiteral("akonadi/contacts/plugins/categorieseditwidgetplugin"));
const KPluginMetaData editWidgetPlugin(QStringLiteral("pim" QT_STRINGIFY(QT_VERSION_MAJOR))
+ QStringLiteral("/akonadi/contacts/plugins/categorieseditwidgetplugin"));
const auto result = KPluginFactory::instantiatePlugin<ContactEditor::CategoriesEditAbstractWidget>(editWidgetPlugin, parent);
if (result) {
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment